Name:       ocaml-samplerate
Version:    0.1.2
Release:    %mkrel 14
Summary:    OCaml interface for libsamplerate (audio rate conversion library)
License:    LGPL
Group:      Development/OCaml
URL:        https://sourceforge.net/projects/savonet/files/ocaml-samplerate/
Source0:    https://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  pkgconfig(samplerate)

%description
This package contains an OCaml interface for audio rate
conversion library, otherwise known as libsamplerate.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}
Requires:   libsamplerate-devel

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir}

make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/samplerate
make install

%files
%doc README COPYING CHANGES
%dir %{_libdir}/ocaml/samplerate
%{_libdir}/ocaml/samplerate/META
%{_libdir}/ocaml/samplerate/*.cmi
%{_libdir}/ocaml/samplerate/*.cma
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/
%{_libdir}/ocaml/samplerate/*.a
%{_libdir}/ocaml/samplerate/*.cmxa
%{_libdir}/ocaml/samplerate/*.cmx
%{_libdir}/ocaml/samplerate/*.mli


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.1.2-14.mga8
+ Revision: 1670476
- Rebuild to generate ocamlx provides
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 28 2020 umeabot <umeabot> 0.1.2-13.mga8
+ Revision: 1551169
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 0.1.2-12.mga8
+ Revision: 1545832
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 0.1.2-11.mga8
+ Revision: 1485304
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.1.2-10.mga7
+ Revision: 1324063
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.1.2-9.mga7
+ Revision: 1323778
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.1.2-8.mga7
+ Revision: 1299925
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 0.1.2-7.mga7
+ Revision: 1179745
- rebuild for new ocaml

* Thu Nov 24 2016 neoclust <neoclust> 0.1.2-6.mga6
+ Revision: 1069813
- Rebuild against fixed ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.1.2-5.mga6
+ Revision: 956448
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-4.mga5
+ Revision: 741347
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-3.mga5
+ Revision: 683101
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.2-2.mga4
+ Revision: 523844
- Mageia 4 Mass Rebuild

* Sat May 25 2013 blue_prawn <blue_prawn> 0.1.2-1.mga4
+ Revision: 427664
- imported package ocaml-samplerate

